post
https://api.accelevents.com/rest/host/ticketing/event//customAttribute
This API adds a custom attribute associated with the specified event.
API used at host side event admin and super admin can access this API. It will return a response like a type and a message.
To call this API, the user has to pass a query param with API URLs like eventURL, dataType, recurringEventId, customAttribute, and authentication key to authenticate the user.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Here is the description of response attributes, which return to the form of JSON.
It will return a success message if API executes successfully.
| Attribute | Description |
|---|---|
| type | This field returns types of messages like success or error. |
| message | Contains a message for a response that can be used for display to the end user. |
Here are the possible error messages, which return if any condition gets failed or required data is missing for processing.
| Error Code | Error Description |
|---|---|
| 200 | Ok |
| 201 | Created |
| 400 | The request could not be understood by the server due to malformed syntax. |
| 401 | You are not authorized to view the resource. |
| 403 | Accessing the resource you were trying to reach is forbidden. |
| 404 | The resource you were trying to reach is not found. |
| 4030201 | Not Event Host |
| 4060903 | Multiple choice question is only for the enterprise plan, please upgrade your plan. |
| 4060901 | Attribute names already exist |
| 4060910 | The conditional question is not for the starter plan, please upgrade your plan. |
| 4060937 | Conditional questions must have one parent question. |
| 4060934 | For conditional questions, one record must present having 0 selectedAnsId. |
| 4060935 | At least 1 sub-question is required. |